// ----------------------------------------------------------------------------
/// r92100_map.h
/// © 2009-2012 Sealevel Systems, Inc.
/// <summary>
/// R92100 Maps.
/// </summary>
///
/// <remarks>
/// This header declares several arrays useful for mapping R9-Development board
/// hardware to Linux driver entry points.
/// </remarks>
// ----------------------------------------------------------------------------

#ifndef __SEALEVEL_R92100_MAP_H__
#define __SEALEVEL_R92100_MAP_H__

#include "gpio.h"

#define ARRAY_LENGTH(a, b) (sizeof(a) / sizeof(b))

// Digital Output mapping data
int DIGITAL_OUTPUT_MAP[] = {
			ARM_GPIO_PB + 9,	// CPU Stat LED
			ARM_GPIO_PE + 2,	// OUT1
			ARM_GPIO_PE + 3,	// OUT2
		      };

int DIGITAL_OUTPUT_MAP_LENGTH = ARRAY_LENGTH(DIGITAL_OUTPUT_MAP, int);


// Digital Input mapping data
int DIGITAL_INPUT_MAP[] = {
			-1,			// Place-keeper for index 0
			ARM_GPIO_PE + 0,	// OPTO1
			ARM_GPIO_PE + 1,	// OPTO2
		      };

int DIGITAL_INPUT_MAP_LENGTH = ARRAY_LENGTH(DIGITAL_INPUT_MAP, int);


#endif
