// ----------------------------------------------------------------------------
/// s91x00_map.h
/// © 2009-2012 Sealevel Systems, Inc.
/// <summary>
/// S91X00-8R Maps.
/// </summary>
///
/// <remarks>
/// This header declares several arrays useful for mapping R9-Development board
/// hardware to Linux driver entry points.
/// </remarks>
// ----------------------------------------------------------------------------

#ifndef __SEALEVEL_R91X00_MAP_H__
#define __SEALEVEL_R91X00_MAP_H__

#include "gpio.h"

#define ARRAY_LENGTH(a, b) (sizeof(a) / sizeof(b))

// Digital Output (Open-Collector Outputs) mapping data
int DIGITAL_OUTPUT_MAP[] = {
			ARM_GPIO_PB + 9,	// CPU Stat LED
			ARM_GPIO_PB + 8,	// OC1 - PWM1
			ARM_GPIO_PB + 27,	// OC2 - PWM2
			ARM_GPIO_PB + 29,	// OC3 - PWM3
			ARM_GPIO_PB + 24,	// OC4
			ARM_GPIO_PB + 25,	// OC5
			ARM_GPIO_PB + 26,	// OC6
			ARM_GPIO_PB + 28,	// OC7
			ARM_GPIO_PB + 30,	// OC8
		      };

int DIGITAL_OUTPUT_MAP_LENGTH = ARRAY_LENGTH(DIGITAL_OUTPUT_MAP, int);




#endif
